/* Páginas de cuenta */

.account-pages {
    background: url("../img/fondo-entrada.jpg") center;
}

img.account-pages-logo {
    max-width: 240px;
}

.account-pages p.text-dark {
    background: rgba(0, 0, 0, 0.5);
}

.wrapper-page-registro{
    width:800px;
    max-width:100%;
}

/* Tamaño de fuente */

.mdi-16 {
    font-size:16px;
}

.mdi-18 {
    font-size:18px;
}

.mdi-24 {
    font-size:24px;
}

.mdi-36 {
    font-size:36px;
}

.mdi-48 {
    font-size:48px;
}

/* Texto */

.rojo-negrita {
    color: red !important;
    font-weight: bold !important;
}

.verde-negrita {
    color: green !important;
    font-weight: bold !important;
}

.negrita {
    font-weight: bold !important;
}

/* Transiciones */

#droba-loader::before,
#droba-loader::after {
    background-color: #083959;
    -webkit-transition: .7s all ease;
    -o-transition: .7s all ease;
    transition: .7s all ease;
}

#cargando-pedido {
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    left: 0px;
    top: 0px;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
}

.cargando-pedido-texto {
    position: absolute;
    line-height: 100%;
    top: 50%;
    height: 30%;
    text-align: center;
    width: 100%;
    margin: auto;
    vertical-align: middle;
    color: white;
    font-weight: bold;
    font-size: 24px;
}


/* Elementos a ocultar estando vacíos */

div.alert:empty {
    display: none;
}

.oculto-vacio:empty {
    display: none;
}


/* Botones */

.btn-primary {
    background-color: #083959 !important;
    border: 1px solid #083959 !important;
    font-weight: 400;
}

.btn-primary.btn-trans {
    background-color: #FFFFFF !important;
    color: #083959 !important;
    border: 1px solid #083959 !important;
    font-weight: 400;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.btn-primary.focus,
.btn-primary:active,
.btn-primary:focus,
.btn-primary:hover,
.open>.dropdown-toggle.btn-primary {
    background-color: #136537 !important;
    border: 1px solid #136537 !important;
    color: #ffffff !important;
}

#sidebar-menu>ul>li>a:hover,
#sidebar-menu .subdrop,
#sidebar-menu ul ul a:hover,
#sidebar-menu>ul>li>a.active {
    color: #136537 !important;
}

#sidebar-menu>ul>li>a {
    padding: 3px 15px;
}

.pagination>.active>a,
.pagination>.active>span,
.pagination>.active>a:hover,
.pagination>.active>span:hover,
.pagination>.active>a:focus,
.pagination>.active>span:focus,
.page-item.active .page-link {
    background-color: #083959;
    border-color: #083959;
}


/* Controles de formulario */

.checkbox-custom input[type="checkbox"]:checked+label::before {
    background-color: #083959;
    border-color: #083959;
}

.dropify-message .file-icon p {
    font-size: 18px !important;
}

/* Tablas */

table.table-acciones td {
    vertical-align: middle;
}

.table-responsive-especial {
    display: block;
    width: 100%;
    overflow-x: auto;
}

.table-responsive-especial td .d-mobile {
    display: none;
}


/* Asistente */

.progress-bar-primary {
    background-color: #083959;
}

.progress-bar-primary-alt {
    background-color: rgba(44, 51, 40, 0.2);
}

.btn-servicio .btn {
    font-weight: bold;
}

.btn-servicio .btn:hover {
    background-color: #136537;
}

.btn-servicio .btn.active {
    background-color: #083959;
    color: #ffffff;
}

.btn-servicio img {
    max-width: 90%;
}

.btn-servicio span {
    display: block;
    padding: 10px;
}

.input-wizard,
input.form-control,
select.custom-select,
textarea.form-control{
    border-color: #136537;
}

.select2-container .select2-selection--single,
.select2-container .select2-selection--multiple {
    border-color: #136537;
    height: 38px !important;    
    padding:5px;
}

.select2-container--default .select2-results__option--selectable:hover,
.select2-container .select2-selection--multiple .select2-selection__choice {
    background-color: #285979 !important;
}

.input-wizard::placeholder,
input.form-control::placeholder,
textarea.form-control::placeholder {
    color: #083959;
}

input.form-control.obligatorio::placeholder,
textarea.form-control.obligatorio::placeholder {
    color: #ff6666 !important;
}

.desplegable-pedido h5 {
    margin: 0px !important;
}

.desplegable-pedido-boton {
    display: block;
    color: #515151;
    text-decoration: none;
}

.desplegable-pedido-enlace {
    float: right;
    right: 0px;
    top: 0px;
    position: absolute;
}

.desplegable-pedido .card-body {
    padding: 0px !important;
}

/* Adaptaciones responsive */

@media (max-width: 600px) {
    .nav-tabs {
        display: inline;
    }
    .nav-tabs .nav-link {
        display: none;
    }
    .nav-tabs .nav-item .active {
        display: inline;
        border: 0px;
    }
    .btn-servicio .btn {
        width: 50%;
        white-space: normal;
    }
    .btn-servicio span {
        display: block;
        padding: 3px;
    }
    .btn-servicio img {
        max-width: 100%;
    }
    .table-responsive-especial thead {
        display: none;
    }
    .table-responsive-especial tr {
        border-bottom: 1px solid #dee2e6;
    }
    .table-responsive-especial td {
        display: block;
        text-align: left;
        padding: 2px;
        border: 0px;
    }
    .table-responsive-especial td .d-mobile {
        display: inline;
        font-weight: bold;
    }
    .table-responsive-especial-mejorada tr {
        display: block;
    }
}